#!/bin/bash
echo "작은상자의 자동 mms녹음 스크립트 Ver 0.1"
echo ""
echo "mmsrip <방송국명> <방송명> <녹음시간(분)>로 실행해주세요"
# cron에 등록해서 사용하세요. 예> FM4U 2시의 데이트 녹음
# 00 14 * * * /media/data2/radio/zx_radio_recoder.sh FM4U 2시의_데이트

### 변수 ###
FILENAME=`date +"%y%m%d_$1_$2"` # 파일명
DELAY=$[ ${3}*60 ] 		# 녹음시간은 분단위로 입력 받아 초로 변환, 1시간=3600, 2시간=7200
SAVEDIR=/media/data2/radio/data	# 저장 디렉토리 (주의 : 저장 디렉토리에 다른 파일을 같이 보관하지마세요)
SAVEDAY=7			# 녹음 파일 저장기간 (일단위)
RADIO_ADDR=$3			# 라디오 방송국 주소
RADIO_TITLE=$2
RADIO_ALBUM=$1
TAGDATE=`date +%y/%m/%d`

### 방송국 주소 지정 ###
if [ $1 == "fm4u" ]; then  # 목포 MBC FM4U
	RADIO_ADDR="mms://210.221.163.25/encoder-fM"
	RADIO_TITLE="MBCFM4U"
	RADIO_TYPE="wma"
elif [ $1 == "mbcfm" ]; then # 원주 MBC 표준FM
	RADIO_ADDR="mms://live.wjmbc.co.kr/fm2"
	RADIO_TITLE="MBCFM"
	RADIO_TYPE="wma"
elif [ $1 = "powerfm" ]; then # SBS POWER FM (TBC, SBS의 대구지역방송국)
	RADIO_ADDR="mms://203.251.80.180/tbc_fm" #128kbps
	RADIO_TITLE="SBSPowerFM"
	RADIO_TYPE="wma"
elif [ $1 = "lovefm" ]; then # SBS LOVE FM (64kbps)
	RADIO_ADDR="http://heisice.com/radio/redirect_to/sbs_lovefm"
	RADIO_TITLE="SBSLoveFM"
	RADIO_TYPE="wma"
fi

### 녹음 ###
mmsrip -o ${SAVEDIR}/${FILENAME}_tmp.wma ${RADIO_ADDR} --delay=${DELAY}
	
### 인덱스 정보 수정 및 변환 ###
# OGG
#ffmpeg -i ${SAVEDIR}/${FILENAME}_tmp.wma -acodec vorbis -aq 100 ${SAVEDIR}/${FILENAME}.ogg
# WMA 그대로 사용
#ffmpeg -i ${SAVEDIR}/${FILENAME}_tmp.wma -acodec copy ${SAVEDIR}/${FILENAME}.wma

ffmpeg -i ${SAVEDIR}/${FILENAME}_tmp.${RADIO_TYPE} -acodec libmp3lame -aq 100 ${SAVEDIR}/${FILENAME}.mp3 -atag fource/tag
# 태그정보 입력
lltag	--yes -a "${RADIO_DJ}" -t "$RADIO_TITLE" -A "$RADIO_ALBUM" -g Radio -d "$TAGDATE" --mp3v2 "${SAVEDIR}/${FILENAME}.mp3"
### 임시파일 삭제
rm ${SAVEDIR}/${FILENAME}_tmp.wma
	
	
### 보관일 경과 파일 삭제 ###
#find "백업파일저장디렉토리" -ctime +최종저장날짜 -exec rm -f '{}' \;
find ${SAVEDIR} -ctime +${SAVEDAY} -exec rm -f '{}' \;

